module WhoisXMLAPI
  class RWhoisResult
    include Mongoid::Document
    include Mongoid::Timestamps

    # https://blog.bigbinary.com/2016/02/15/rails-5-makes-belong-to-association-required-by-default.html
    belongs_to :rwhoisable, :polymorphic => true, optional: true

    # Actual indexing is performed in db_mongoid_extend.rake

    field :entity_name, :type => String   # , index: true
    field :domains,     :type => Array
  end
end